# Interface ArrayTypeStatic

Type of a static-length array

#### Category

Container types

#### Hierarchy

- ArrayTypeStatic

- Defined in codec/lib/format/types.ts:195

#####
Index

### Properties

baseType
kind
length
location?
typeClass
typeHint?

## Properties

### baseType

baseType: Type

- Defined in codec/lib/format/types.ts:198

### kind

kind: "static"

- Defined in codec/lib/format/types.ts:197

### length

length: BN

- Defined in codec/lib/format/types.ts:199

### `Optional` location

location?: Location

- Defined in codec/lib/format/types.ts:200

### typeClass

typeClass: "array"

- Defined in codec/lib/format/types.ts:196

### `Optional` typeHint

typeHint?: string

- Defined in codec/lib/format/types.ts:201

Generated using TypeDoc